<template>
  <div class="theme-box">
    <el-select v-model="style" @change="styleChange" size="large">
      <el-option v-for="(item, index) in styleOptions" :key="index" :label="item.label" :value="item.value" />
    </el-select>
  </div>
</template>
<script>
export default {
  data() {
    return {
      style: 'dark',
      styleOptions: [
        { label: '标准', value: 'normal' },
        { label: '幻影黑', value: 'dark' },
        { label: '月光银', value: 'light' },
        { label: '远山黛', value: 'whitesmoke' },
        { label: '草色青', value: 'fresh' },
        { label: '雅士灰', value: 'grey' },
        { label: '涂鸦', value: 'graffiti' },
        { label: '马卡龙', value: 'macaron' },
        { label: '靛青蓝', value: 'blue' },
        { label: '极夜蓝', value: 'darkblue' },
        { label: '酱籽', value: 'wine' }
      ]
    }
  },
  methods: {
    styleChange(e) {
      this.$emit('styleChange', e)
    }
  }
}
</script>
<style>
.theme-box{
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 1000;
}
</style>
